#!/bin/sh 

if [ -z "$1" ]; then
	exit 1
else
	RUN_DIR=$1
fi

if [ -z "$2" ]; then
	exit 1
else
	EXE_DIR=$2
fi

if [ -z "$3" ]; then
	TTY_PORT=/dev/ttyS1
else
	TTY_PORT=$3
fi

processName=zllGateway
processName1=zllMiddleware
processName2=self-start.sh
processName3=zlldaemon.sh

zllGwFile="/root/zigbee/zllGateway"
zllMiddlewareFile="/root/zigbee/zllMiddleware"
FstackgwFile="/root/zigbee/FStack_GW.bin"

echo $processName
echo $processName1

# start customer script
pid_name2=`pidof $processName2`
if [ -n $pid_name2 ] ;then
    kill $pid_name2
    sleep 1
fi
$RUN_DIR$processName2 $RUN_DIR $EXE_DIR &

while :
do
    pid_name=`pidof $processName`
	if [ -z $pid_name ] ;then
		echo $processName "not run "
		if [ -f $RUN_DIR$processName ]
		then
			chmod 777 $RUN_DIR$processName
			$RUN_DIR$processName $EXE_DIR &
		else
			rm -rf $RUN_DIR$processName3
		fi
	fi
	
    pid_name1=`pidof $processName1`
	if [ -z $pid_name1 ] ;then
		echo $processName1 "not run "
		if [ -f $RUN_DIR$processName1 ]
		then
			chmod 777 $RUN_DIR$processName1
			$RUN_DIR$processName1 $EXE_DIR $TTY_PORT &
		else
			rm -rf $RUN_DIR$processName3
		fi
	fi
	sleep 2
done

